Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rendsite.commands
Class RenderConfiguration

    java.lang.Object
      rendsite.commands.RenderConfiguration

All Implemented Interfaces:
  RendsiteConfiguration

    public class RenderConfiguration

extends java.lang.Object
implements RendsiteConfiguration

Configuration for the Render implementation. This is a dangerous implementation right now, because it doesn't assert anything.

Author:
  erich Version History

       10NOV09 - EPG - First package release.

Field Summary
`java.io.File` | `changeFile` Use a change file.
`boolean` | `dontClean` Do not clean during process.
`boolean` | `filesystemMode` If true, set urls for filesystem browsing.
`boolean` | `forceUpdate` If true, update everything regardless of last modified dates.
`static char` | `OPTION_DONT_CLEAN` Normally, the target directories will be cleaned during processing.
`static char` | `OPTION_FORCE_UPDATE_ALL` Normally, files will be processed only if they or the configuration has been changed since the last run.
`static char` | `OPTION_LOCAL_FILESYSTEM` Option: Render to the local filesystem instead of to a website.
`static char` | `OPTION_LOG_ALL_FILE_ACTIONS` Log all file actions.
`Resources` | `resources` The resources manager.
`RendsiteLogger` | `rootLogger` Root logger.
`things.thinger.SystemInterface` | `si` The system interface.

Constructor Summary
`RenderConfiguration()`

Method Summary
`Resources` | `getResources()` Get the system resources.
`things.thinger.SystemInterface` | `getSystemInterface()` Get the system interface.
`boolean` | `isDontClean()` Are we not cleaning? If true, do not clean during processing.
`boolean` | `isFilesystemMode()` Are we in filesystem mode? If true, set urls for filesystem browsing.
`boolean` | `isForceUpdate()` Are we forcing updates?
`boolean` | `loggingAllFileActions()` Are we logging all file actions?
`RendsiteLogger` | `rootLogger()` Get the root/normal logger.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OPTION_LOCAL_FILESYSTEM

    public static final char OPTION_LOCAL_FILESYSTEM

  Option: Render to the local filesystem instead of to a website. This will make the links work properly when things are opened in Windows explorer. Normally, all the links will be from the site root (/). This will make them relative. Do not upload this to a webserver! It could be a serious security problem!

  See Also:
    Constant Field Values

### OPTION_FORCE_UPDATE_ALL

    public static final char OPTION_FORCE_UPDATE_ALL

  Normally, files will be processed only if they or the configuration has been changed since the last run. This option forces everything to be processed.

  See Also:
    Constant Field Values

### OPTION_DONT_CLEAN

    public static final char OPTION_DONT_CLEAN

  Normally, the target directories will be cleaned during processing. for instance, if a source file has been removed between runs, it will be deleted.

  See Also:
    Constant Field Values

### OPTION_LOG_ALL_FILE_ACTIONS

    public static final char OPTION_LOG_ALL_FILE_ACTIONS

  Log all file actions. This is as verbose as we can get without debugging.

  See Also:
    Constant Field Values

### forceUpdate

    public boolean forceUpdate

  If true, update everything regardless of last modified dates.

### filesystemMode

    public boolean filesystemMode

  If true, set urls for filesystem browsing. They will be relative, instead of absolute. If on, do not upload anything to a website!

### dontClean

    public boolean dontClean

  Do not clean during process. For instance, if a file was removed from the source, do not delete it from the target. The system will clean by default.

### changeFile

    public java.io.File changeFile

  Use a change file. If set, use a change file.

### rootLogger

    public RendsiteLogger rootLogger

  Root logger.

### si

    public things.thinger.SystemInterface si

  The system interface.

### resources

    public Resources resources

  The resources manager.

Constructor Detail

### RenderConfiguration

    public RenderConfiguration()

Method Detail

### isForceUpdate

    public boolean isForceUpdate()

  Are we forcing updates?

  Specified by:
    `isForceUpdate` in interface `RendsiteConfiguration`
  Returns:
    If it returns true, update everything regardless of last modified dates.

### isFilesystemMode

    public boolean isFilesystemMode()

  Are we in filesystem mode? If true, set urls for filesystem browsing. They will be relative, instead of absolute. If on, do not upload anything to a website!

  Specified by:
    `isFilesystemMode` in interface `RendsiteConfiguration`
  Returns:
    If true, set urls for filesystem browsing.

### isDontClean

    public boolean isDontClean()

  Are we not cleaning? If true, do not clean during processing. For instance, if a file was removed from the source, do not delete it from the target. The system will clean by default.

  Specified by:
    `isDontClean` in interface `RendsiteConfiguration`
  Returns:
    If true, do not clean during processing.

### rootLogger

    public RendsiteLogger rootLogger()

  Get the root/normal logger.

  Specified by:
    `rootLogger` in interface `RendsiteConfiguration`
  Returns:
    The logger.

### getSystemInterface

    public things.thinger.SystemInterface getSystemInterface()

  Get the system interface.

  Specified by:
    `getSystemInterface` in interface `RendsiteConfiguration`
  Returns:
    the system interface

### getResources

    public Resources getResources()

  Get the system resources.

  Specified by:
    `getResources` in interface `RendsiteConfiguration`
  Returns:
    the resources.

### loggingAllFileActions

    public boolean loggingAllFileActions()

  Are we logging all file actions?

  Specified by:
    `loggingAllFileActions` in interface `RendsiteConfiguration`
  Returns:
    true if we are.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

rendsite.